#include <iostream>
#include <algorithm>
#include <string>

using namespace std;

int main()
{
	string slova;
	int a,b;
	cin>>slova>>a>>b;
	if(abs(a-b)<2)
	{
		if(a>b)
		{
			for(int i=0;i<a+b-1;i+=2) 
			{
				cout<<slova[0]<<slova[1];	
			}
			cout<<slova[0];
		}
		else if(a=b)
		{
			for(int i=0;i<a+b;i+=2) 
			{
				cout<<slova[0]<<slova[1];	
			}
		}
		else
		{
			for(int i=0;i<a+b-1;i+=2) 
			{
				cout<<slova[1]<<slova[0];	
			}
			cout<<slova[1];
		}
	}
	else
	{
		cout<<"nemoguce";
	}
	return 0;
}